summaryrefslogtreecommitdiff
path: root/eclass
diff options
context:
space:
mode:
authorMichał Górny <mgorny@gentoo.org>2015-02-19 17:22:25 +0000
committerMichał Górny <mgorny@gentoo.org>2015-02-19 17:22:25 +0000
commit13e72d3dde1e96864a6aab9a1129c90f74be7572 (patch)
treebcfc9f14c1d0e85986537da666fd7336fb75e974 /eclass
parentPatch out crypt() NULL return check vulnerability, bug #540630. Remove old. (diff)
downloadgentoo-2-13e72d3dde1e96864a6aab9a1129c90f74be7572.tar.gz
gentoo-2-13e72d3dde1e96864a6aab9a1129c90f74be7572.tar.bz2
gentoo-2-13e72d3dde1e96864a6aab9a1129c90f74be7572.zip
Remove support for python-exec:0.
Diffstat (limited to 'eclass')
-rw-r--r--eclass/ChangeLog6
-rw-r--r--eclass/distutils-r1.eclass29
-rw-r--r--eclass/python-r1.eclass36
-rw-r--r--eclass/python-single-r1.eclass6
-rw-r--r--eclass/python-utils-r1.eclass57
5 files changed, 36 insertions, 98 deletions
diff --git a/eclass/ChangeLog b/eclass/ChangeLog
index 40c3dcdb540c..a75c2eaef793 100644
--- a/eclass/ChangeLog
+++ b/eclass/ChangeLog
@@ -1,6 +1,10 @@
# ChangeLog for eclass directory
# Copyright 1999-2015 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/ChangeLog,v 1.1539 2015/02/18 14:15:37 pesa Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/ChangeLog,v 1.1540 2015/02/19 17:22:25 mgorny Exp $
+
+ 19 Feb 2015; Michał Górny <mgorny@gentoo.org> distutils-r1.eclass,
+ python-r1.eclass, python-single-r1.eclass, python-utils-r1.eclass:
+ Remove support for python-exec:0.
18 Feb 2015; Davide Pesavento <pesa@gentoo.org> qt5-build.eclass:
Drop support for Qt 5.3 and earlier.
diff --git a/eclass/distutils-r1.eclass b/eclass/distutils-r1.eclass
index 8dade7b260b3..18ed4b99d31f 100644
--- a/eclass/distutils-r1.eclass
+++ b/eclass/distutils-r1.eclass
@@ -1,6 +1,6 @@
# Copyright 1999-2015 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/distutils-r1.eclass,v 1.110 2015/01/31 02:49:39 patrick Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/distutils-r1.eclass,v 1.111 2015/02/19 17:22:25 mgorny Exp $
# @ECLASS: distutils-r1
# @MAINTAINER:
@@ -393,7 +393,7 @@ _distutils-r1_create_setup_cfg() {
root = ${D}
_EOF_
- if [[ ! ${DISTUTILS_SINGLE_IMPL} ]] && _python_want_python_exec2; then
+ if [[ ! ${DISTUTILS_SINGLE_IMPL} ]]; then
cat >> "${HOME}"/.pydistutils.cfg <<-_EOF_ || die
install-scripts = $(python_get_scriptdir)
_EOF_
@@ -444,11 +444,7 @@ _distutils-r1_wrap_scripts() {
local bindir=${2}
local PYTHON_SCRIPTDIR
- if _python_want_python_exec2; then
- python_export PYTHON_SCRIPTDIR
- else
- PYTHON_SCRIPTDIR=${bindir}
- fi
+ python_export PYTHON_SCRIPTDIR
local f python_files=() non_python_files=()
@@ -462,7 +458,7 @@ _distutils-r1_wrap_scripts() {
if [[ ${shebang} == '#!'*${EPYTHON}* ]]; then
debug-print "${FUNCNAME}: matching shebang: ${shebang}"
python_files+=( "${f}" )
- elif _python_want_python_exec2; then
+ else
debug-print "${FUNCNAME}: non-matching shebang: ${shebang}"
non_python_files+=( "${f}" )
fi
@@ -473,18 +469,11 @@ _distutils-r1_wrap_scripts() {
for f in "${python_files[@]}"; do
local basename=${f##*/}
- if ! _python_want_python_exec2; then
- local newf=${f%/*}/${basename}-${EPYTHON}
- debug-print "${FUNCNAME}: renaming ${f#${path}/} to ${newf#${path}/}"
- mv "${f}" "${newf}" || die
- fi
-
debug-print "${FUNCNAME}: installing wrapper at ${bindir}/${basename}"
- _python_ln_rel "${path}${EPREFIX}"$(_python_get_wrapper_path) \
+ _python_ln_rel "${path}${EPREFIX}"/usr/lib/python-exec/python-exec2 \
"${path}${bindir}/${basename}" || die
done
- # (non-empty only with python-exec:2)
for f in "${non_python_files[@]}"; do
local basename=${f##*/}
@@ -544,15 +533,11 @@ distutils-r1_python_install() {
case "${a}" in
--install-scripts=*)
scriptdir=${a#--install-scripts=}
- if _python_want_python_exec2; then
- unset "${arg_var}"
- fi
+ unset "${arg_var}"
;;
--install-scripts)
scriptdir=${!1}
- if _python_want_python_exec2; then
- unset "${arg_var}" "${1}"
- fi
+ unset "${arg_var}" "${1}"
shift
;;
esac
diff --git a/eclass/python-r1.eclass b/eclass/python-r1.eclass
index 0802c5fafd46..fc1f7908f0a4 100644
--- a/eclass/python-r1.eclass
+++ b/eclass/python-r1.eclass
@@ -1,6 +1,6 @@
# Copyright 1999-2015 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/python-r1.eclass,v 1.84 2015/01/13 21:35:29 mgorny Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/python-r1.eclass,v 1.85 2015/02/19 17:22:25 mgorny Exp $
# @ECLASS: python-r1
# @MAINTAINER:
@@ -208,9 +208,9 @@ _python_set_globals() {
# 3) use whichever python-exec slot installed in EAPI 5. For EAPI 4,
# just fix :2 since := deps are not supported.
if [[ ${_PYTHON_WANT_PYTHON_EXEC2} == 0 ]]; then
- PYTHON_DEPS+="dev-lang/python-exec:0[${PYTHON_USEDEP}]"
+ die "python-exec:0 is no longer supported, please fix your ebuild to work with python-exec:2"
elif [[ ${EAPI} != 4 ]]; then
- PYTHON_DEPS+="dev-lang/python-exec:=[${PYTHON_USEDEP}]"
+ PYTHON_DEPS+=">=dev-lang/python-exec-2:=[${PYTHON_USEDEP}]"
else
PYTHON_DEPS+="dev-lang/python-exec:2[${PYTHON_USEDEP}]"
fi
@@ -831,26 +831,16 @@ python_replicate_script() {
_python_replicate_script() {
local _PYTHON_FIX_SHEBANG_QUIET=1
- if _python_want_python_exec2; then
- local PYTHON_SCRIPTDIR
- python_export PYTHON_SCRIPTDIR
-
- (
- exeinto "${PYTHON_SCRIPTDIR#${EPREFIX}}"
- doexe "${files[@]}"
- )
-
- python_fix_shebang -q \
- "${files[@]/*\//${D%/}/${PYTHON_SCRIPTDIR}/}"
- else
- local f
- for f in "${files[@]}"; do
- cp -p "${f}" "${f}-${EPYTHON}" || die
- done
+ local PYTHON_SCRIPTDIR
+ python_export PYTHON_SCRIPTDIR
- python_fix_shebang -q \
- "${files[@]/%/-${EPYTHON}}"
- fi
+ (
+ exeinto "${PYTHON_SCRIPTDIR#${EPREFIX}}"
+ doexe "${files[@]}"
+ )
+
+ python_fix_shebang -q \
+ "${files[@]/*\//${D%/}/${PYTHON_SCRIPTDIR}/}"
}
local files=( "${@}" )
@@ -859,7 +849,7 @@ python_replicate_script() {
# install the wrappers
local f
for f; do
- _python_ln_rel "${ED%/}$(_python_get_wrapper_path)" "${f}" || die
+ _python_ln_rel "${ED%/}/usr/lib/python-exec/python-exec2" "${f}" || die
done
}
diff --git a/eclass/python-single-r1.eclass b/eclass/python-single-r1.eclass
index 6969fb1b203f..d954323a660e 100644
--- a/eclass/python-single-r1.eclass
+++ b/eclass/python-single-r1.eclass
@@ -1,6 +1,6 @@
# Copyright 1999-2015 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/python-single-r1.eclass,v 1.31 2015/01/04 22:18:12 mgorny Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/python-single-r1.eclass,v 1.32 2015/02/19 17:22:25 mgorny Exp $
# @ECLASS: python-single-r1
# @MAINTAINER:
@@ -219,9 +219,9 @@ _python_single_set_globals() {
# 3) use whichever python-exec slot installed in EAPI 5. For EAPI 4,
# just fix :2 since := deps are not supported.
if [[ ${_PYTHON_WANT_PYTHON_EXEC2} == 0 ]]; then
- PYTHON_DEPS+="dev-lang/python-exec:0[${PYTHON_USEDEP}]"
+ die "python-exec:0 is no longer supported, please fix your ebuild to work with python-exec:2"
elif [[ ${EAPI} != 4 ]]; then
- PYTHON_DEPS+="dev-lang/python-exec:=[${PYTHON_USEDEP}]"
+ PYTHON_DEPS+=">=dev-lang/python-exec-2:=[${PYTHON_USEDEP}]"
else
PYTHON_DEPS+="dev-lang/python-exec:2[${PYTHON_USEDEP}]"
fi
diff --git a/eclass/python-utils-r1.eclass b/eclass/python-utils-r1.eclass
index af7f51fa2af3..e601720e0674 100644
--- a/eclass/python-utils-r1.eclass
+++ b/eclass/python-utils-r1.eclass
@@ -1,6 +1,6 @@
# Copyright 1999-2015 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/python-utils-r1.eclass,v 1.75 2015/01/02 00:15:15 mgorny Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/python-utils-r1.eclass,v 1.76 2015/02/19 17:22:25 mgorny Exp $
# @ECLASS: python-utils-r1
# @MAINTAINER:
@@ -635,21 +635,14 @@ python_newexe() {
[[ ${EPYTHON} ]] || die 'No Python implementation set (EPYTHON is null).'
[[ ${#} -eq 2 ]] || die "Usage: ${FUNCNAME} <path> <new-name>"
- local d=${python_scriptroot:-${DESTTREE}/bin}
- local wrapd=${d}
+ local wrapd=${python_scriptroot:-${DESTTREE}/bin}
local f=${1}
- local barefn=${2}
- local newfn
-
- if _python_want_python_exec2; then
- local PYTHON_SCRIPTDIR
- python_export PYTHON_SCRIPTDIR
- d=${PYTHON_SCRIPTDIR#${EPREFIX}}
- newfn=${barefn}
- else
- newfn=${barefn}-${EPYTHON}
- fi
+ local newfn=${2}
+
+ local PYTHON_SCRIPTDIR d
+ python_export PYTHON_SCRIPTDIR
+ d=${PYTHON_SCRIPTDIR#${EPREFIX}}
(
dodir "${wrapd}"
@@ -658,7 +651,7 @@ python_newexe() {
)
# install the wrapper
- _python_ln_rel "${ED%/}"$(_python_get_wrapper_path) \
+ _python_ln_rel "${ED%/}"/usr/lib/python-exec/python-exec2 \
"${ED%/}/${wrapd}/${barefn}" || die
# don't use this at home, just call python_doscript() instead
@@ -1099,40 +1092,6 @@ python_fix_shebang() {
done
}
-# @FUNCTION: _python_want_python_exec2
-# @INTERNAL
-# @DESCRIPTION:
-# Check whether we should be using python-exec:2.
-_python_want_python_exec2() {
- debug-print-function ${FUNCNAME} "${@}"
-
- # EAPI 4 lacks slot operators, so just fix it on python-exec:2.
- [[ ${EAPI} == 4 ]] && return 0
-
- # Check if we cached the result, or someone put an override.
- if [[ ! ${_PYTHON_WANT_PYTHON_EXEC2+1} ]]; then
- has_version 'dev-lang/python-exec:2'
- _PYTHON_WANT_PYTHON_EXEC2=$(( ! ${?} ))
- fi
-
- # Non-zero means 'yes', zero means 'no'.
- [[ ${_PYTHON_WANT_PYTHON_EXEC2} != 0 ]]
-}
-
-# @FUNCTION: _python_get_wrapper_path
-# @INTERNAL
-# @DESCRIPTION:
-# Output path to proper python-exec slot.
-_python_get_wrapper_path() {
- debug-print-function ${FUNCNAME} "${@}"
-
- if _python_want_python_exec2; then
- echo /usr/lib/python-exec/python-exec2
- else
- echo /usr/bin/python-exec
- fi
-}
-
# @FUNCTION: python_export_utf8_locale
# @RETURN: 0 on success, 1 on failure.
# @DESCRIPTION: